put
https://example.com/settings/v1/templates/
Update Template
Important notice: This is a full update API (PUT), all existing attributes must be specified in the request body. Attributes that are not specified will be deleted from the updated record (receive a NULL value).
Performs full update, the values will be replaced with values that are specified in the request
(*)This parameter is mandatory only if its optional parent attribute is defined. Click here for more information.
Request Body Parameters:
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| displayName | string | true | ||
| name | string | true | Pattern:[a-zA-Z]\w* | |
| description | string | false | ||
| ownerOrganizationId | string | false | ||
| analyticsDbConfiguration | object | false | ||
| analyticsDbConfiguration.name | string | false | ||
| forceUpdate | boolean | false | Deprecated. Use the 'force' query parameter instead. | |
| customAttributes | array | true | Custom attributes definitions for this template. Empty list means no custom attributes. | |
| customAttributes[index] | array | false | Custom attributes definitions for this template. Empty list means no custom attributes. | |
| customAttributes[index].displayName | string | true(*) | ||
| customAttributes[index].phi | boolean | false | ||
| customAttributes[index].referenceConfiguration | object | false | ||
| customAttributes[index].referenceConfiguration.uniquely | boolean | false | ||
| customAttributes[index].referenceConfiguration.referencedSideAttributeName | string | false | ||
| customAttributes[index].referenceConfiguration.referencedSideAttributeDisplayName | string | false | ||
| customAttributes[index].referenceConfiguration.validTemplatesToReference | array | false | ||
| customAttributes[index].referenceConfiguration.entityType | string | true(*) | ||
| customAttributes[index].linkConfiguration | object | false | ||
| customAttributes[index].linkConfiguration.entityTypeName | string | true(*) | ||
| customAttributes[index].linkConfiguration.templateId | string | true(*) | ||
| customAttributes[index].linkConfiguration.attributeId | string | true(*) | ||
| customAttributes[index].name | string | true(*) | Pattern:[a-zA-Z]\w* | |
| customAttributes[index].type | string | true(*) | Values:LABEL,PARAGRAPH,INTEGER,DECIMAL,BOOLEAN,SINGLE_SELECT,MULTI_SELECT,ADDRESS,NAME,PHONE,EMAIL,DATE_TIME,DATE,REFERENCE,TIMEZONE,LOCALE,FILE,IMAGE,LINK,WAVEFORM | |
| customAttributes[index].validation | object | false | ||
| customAttributes[index].validation.mandatory | boolean | true(*) | ||
| customAttributes[index].validation.unique | boolean | false | Default:false | false |
| customAttributes[index].validation.defaultValue | object | false | ||
| customAttributes[index].validation.min | number | false | ||
| customAttributes[index].validation.max | number | false | ||
| customAttributes[index].validation.regex | string | false | ||
| customAttributes[index].numericMetaData | object | false | ||
| customAttributes[index].numericMetaData.units | string | false | ||
| customAttributes[index].numericMetaData.upperRange | number | false | ||
| customAttributes[index].numericMetaData.lowerRange | number | false | ||
| customAttributes[index].numericMetaData.subType | string | false | Values:INTEGER,DECIMAL | |
| customAttributes[index].analyticsDbConfiguration | object | false | ||
| customAttributes[index].analyticsDbConfiguration.name | string | false | ||
| customAttributes[index].id | string | false | ||
| customAttributes[index].selectableValues | array | false | ||
| customAttributes[index].selectableValues[index] | array | false | ||
| customAttributes[index].selectableValues[index].name | string | true(*) | Pattern:[a-zA-Z]\w* | |
| customAttributes[index].selectableValues[index].displayName | string | true(*) | ||
| customAttributes[index].selectableValues[index].id | string | false | ||
| customAttributes[index].category | string | true(*) | ||
| builtInAttributes | array | true | Built-in attributes definitions for this template. Empty list is allowed. | |
| builtInAttributes[index] | array | false | Built-in attributes definitions for this template. Empty list is allowed. | |
| builtInAttributes[index].id | string | true(*) | ||
| builtInAttributes[index].displayName | string | true(*) | ||
| builtInAttributes[index].phi | boolean | false | ||
| builtInAttributes[index].referenceConfiguration | object | false | ||
| builtInAttributes[index].referenceConfiguration.uniquely | boolean | false | ||
| builtInAttributes[index].referenceConfiguration.referencedSideAttributeName | string | false | ||
| builtInAttributes[index].referenceConfiguration.referencedSideAttributeDisplayName | string | false | ||
| builtInAttributes[index].referenceConfiguration.validTemplatesToReference | array | false | ||
| builtInAttributes[index].referenceConfiguration.entityType | string | true(*) | ||
| builtInAttributes[index].linkConfiguration | object | false | ||
| builtInAttributes[index].linkConfiguration.entityTypeName | string | true(*) | ||
| builtInAttributes[index].linkConfiguration.templateId | string | true(*) | ||
| builtInAttributes[index].linkConfiguration.attributeId | string | true(*) | ||
| builtInAttributes[index].validation | object | false | ||
| builtInAttributes[index].validation.mandatory | boolean | true(*) | ||
| builtInAttributes[index].validation.unique | boolean | false | Default:false | false |
| builtInAttributes[index].validation.defaultValue | object | false | ||
| builtInAttributes[index].validation.min | number | false | ||
| builtInAttributes[index].validation.max | number | false | ||
| builtInAttributes[index].validation.regex | string | false | ||
| builtInAttributes[index].numericMetaData | object | false | ||
| builtInAttributes[index].numericMetaData.units | string | false | ||
| builtInAttributes[index].numericMetaData.upperRange | number | false | ||
| builtInAttributes[index].numericMetaData.lowerRange | number | false | ||
| builtInAttributes[index].numericMetaData.subType | string | false | Values:INTEGER,DECIMAL | |
| templateAttributes | array | true | Template-level attributes definitions. Empty list is allowed. | |
| templateAttributes[index] | array | false | Template-level attributes definitions. Empty list is allowed. | |
| templateAttributes[index].id | string | true(*) | ||
| templateAttributes[index].displayName | string | true(*) | ||
| templateAttributes[index].phi | boolean | false | ||
| templateAttributes[index].referenceConfiguration | object | false | ||
| templateAttributes[index].referenceConfiguration.uniquely | boolean | false | ||
| templateAttributes[index].referenceConfiguration.referencedSideAttributeName | string | false | ||
| templateAttributes[index].referenceConfiguration.referencedSideAttributeDisplayName | string | false | ||
| templateAttributes[index].referenceConfiguration.validTemplatesToReference | array | false | ||
| templateAttributes[index].referenceConfiguration.entityType | string | true(*) | ||
| templateAttributes[index].linkConfiguration | object | false | ||
| templateAttributes[index].linkConfiguration.entityTypeName | string | true(*) | ||
| templateAttributes[index].linkConfiguration.templateId | string | true(*) | ||
| templateAttributes[index].linkConfiguration.attributeId | string | true(*) | ||
| templateAttributes[index].value | object | false | ||
| templateAttributes[index].organizationSelectionConfiguration | object | false | ||
| templateAttributes[index].organizationSelectionConfiguration.selected | array | false | ||
| templateAttributes[index].organizationSelectionConfiguration.selected[index] | array | false | ||
| templateAttributes[index].organizationSelectionConfiguration.selected[index].id | string | true(*) | ||
| templateAttributes[index].organizationSelectionConfiguration.all | boolean | false | ||
| parentTemplateId | string | false | The parent template id if this template inherits from another template. | 123e4567-e89b-12d3-a456-426614174000 |
| Path Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| templateId | string | true | null | |
| Query Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| force | boolean | false | Sometimes modifying the system's templates can cause side effects to other components. The 'force' flag indicates whether or not to force the template changes even if those side effects were to occur. For example: changing templates will cause Analytics DB to exit syncing data mode. If 'force' is not provided fallback is the 'forceUpdate' value inside 'templateRequest' | true |
This API requires SETTINGS_UPDATE_TEMPLATE permission(s).
